devel/z80-asm - The NetBSD Packages Collection

Z80 assembly code assembler and disassembler

z80-asm is a double pass compiler of the Z80 CPU assembly language.
It supports almost all of the Z80 opcodes and functionality that
commercial Z80 assemblers have.  This package also contains an
interactive Z80 disassembler.  This program suite was written by
BrainSoft.

Build dependencies

pkgtools/cwrappers devel/gmake

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfz80-asm-2.3.7nb1.tgz
NetBSD 8.0earmv7hfz80-asm-2.3.7nb1.tgz
NetBSD 8.0earmv7hfz80-asm-2.3.7nb1.tgz
NetBSD 8.0i386z80-asm-2.3.7nb1.tgz
NetBSD 8.0i386z80-asm-2.3.7nb1.tgz
NetBSD 8.0i386z80-asm-2.3.7nb1.tgz
NetBSD 8.0powerpcz80-asm-2.3.7nb1.tgz
NetBSD 8.0powerpcz80-asm-2.3.7nb1.tgz
NetBSD 8.0powerpcz80-asm-2.3.7nb1.tgz
NetBSD 8.0x86_64z80-asm-2.3.7nb1.tgz
NetBSD 8.0x86_64z80-asm-2.3.7nb1.tgz
NetBSD 9.0aarch64z80-asm-2.3.7nb1.tgz
NetBSD 9.0aarch64z80-asm-2.3.7nb1.tgz
NetBSD 9.0aarch64z80-asm-2.3.7nb1.tgz
NetBSD 9.0alphaz80-asm-2.3.7nb1.tgz
NetBSD 9.0alphaz80-asm-2.3.7nb1.tgz
NetBSD 9.0alphaz80-asm-2.3.7nb1.tgz
NetBSD 9.0earmz80-asm-2.3.7nb1.tgz
NetBSD 9.0earmv6hfz80-asm-2.3.7nb1.tgz
NetBSD 9.0earmv6hfz80-asm-2.3.7nb1.tgz
NetBSD 9.0earmv6hfz80-asm-2.3.7nb1.tgz
NetBSD 9.0earmv6hfz80-asm-2.3.7nb1.tgz
NetBSD 9.0earmv7hfz80-asm-2.3.7nb1.tgz
NetBSD 9.0earmv7hfz80-asm-2.3.7nb1.tgz
NetBSD 9.0earmv7hfz80-asm-2.3.7nb1.tgz
NetBSD 9.0earmv7hfz80-asm-2.3.7nb1.tgz
NetBSD 9.0i386z80-asm-2.3.7nb1.tgz
NetBSD 9.0i386z80-asm-2.3.7nb1.tgz
NetBSD 9.0i386z80-asm-2.3.7nb1.tgz
NetBSD 9.0mips64ebz80-asm-2.3.7nb1.tgz
NetBSD 9.0mips64ebz80-asm-2.3.7nb1.tgz
NetBSD 9.0mips64ebz80-asm-2.3.7nb1.tgz
NetBSD 9.0powerpcz80-asm-2.3.7nb1.tgz
NetBSD 9.0powerpcz80-asm-2.3.7nb1.tgz
NetBSD 9.0sparc64z80-asm-2.3.7nb1.tgz
NetBSD 9.0sparc64z80-asm-2.3.7nb1.tgz
NetBSD 9.0sparc64z80-asm-2.3.7nb1.tgz
NetBSD 9.0sparc64z80-asm-2.3.7nb1.tgz
NetBSD 9.0sparcz80-asm-2.3.7nb1.tgz
NetBSD 9.0sparcz80-asm-2.3.7nb1.tgz
NetBSD 9.0sparcz80-asm-2.3.7nb1.tgz
NetBSD 9.0x86_64z80-asm-2.3.7nb1.tgz
NetBSD 9.0x86_64z80-asm-2.3.7nb1.tgz
NetBSD 9.0x86_64z80-asm-2.3.7nb1.tgz
NetBSD 9.0x86_64z80-asm-2.3.7nb1.tgz
NetBSD 9.0x86_64z80-asm-2.3.7nb1.tgz
NetBSD 9.0x86_64z80-asm-2.3.7nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.